Page MenuHomePhabricator

Deploy new desktop print styles on all projects
Closed, ResolvedPublic2 Story Points

Description

pre-deployment

develper notes

Current config looks like this:

$wgVectorExperimentalPrintStyles = true;
$wgPrintLogo = [
  'imageWidth' => $wgMinervaCustomLogos['copyright-width'],
  'imageHeight' => $wgMinervaCustomLogos['copyright-height'], 
  'displayWidth' => $wgMinervaCustomLogos['copyright-width'],
  'displayHeight' => $wgMinervaCustomLogos['copyright-height'], 
  'url' =>  $wgMinervaCustomLogos['copyright'],
];

acceptance criteria

  • SWAT fix for T177800
  • Deploy new print styles for desktop on all projects
  • Ensure styles are also applied to pdfs using Electron, if not - open the appropriate task

post sign off

  • Record event on the release timeline
  • Create a new task to remove $wgVectorExperimentalPrintStyles from the Vector extension
  • Review and update T154965

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
ovasileva updated the task description. (Show Details)Jul 5 2017, 3:33 PM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJul 5 2017, 3:48 PM
Jdlrobson changed the task status from Open to Stalled.Jul 6 2017, 6:46 PM
Jdlrobson updated the task description. (Show Details)Jul 31 2017, 10:46 PM
ovasileva changed the task status from Stalled to Open.Sep 20 2017, 11:06 AM
ovasileva updated the task description. (Show Details)
ovasileva moved this task from Triaged but Future to Upcoming on the Readers-Web-Backlog board.
ovasileva updated the task description. (Show Details)
ovasileva updated the task description. (Show Details)Sep 21 2017, 5:14 PM
Niedzielski changed the task status from Open to Stalled.Sep 22 2017, 2:40 PM
Niedzielski added a subscriber: Niedzielski.

Stalled until at least October 9th per task description.

ovasileva changed the task status from Stalled to Open.Sep 22 2017, 3:13 PM

@Niedzielski - while technically stalled, I'm marking this as open so we can get an estimate over the following week (as stalled task do not currently appear on the board by default).

Thanks @ovasileva! I'll try to be more careful about stalling tasks in the future. I'm still confused over what's in upcoming and actually ready to work on vs what's in upcoming but there for discussion.

ovasileva updated the task description. (Show Details)Sep 26 2017, 4:37 PM
Jdlrobson updated the task description. (Show Details)Sep 26 2017, 4:42 PM
ovasileva updated the task description. (Show Details)Sep 26 2017, 4:42 PM
Jdlrobson updated the task description. (Show Details)Sep 26 2017, 4:43 PM
ovasileva updated the task description. (Show Details)Sep 26 2017, 4:46 PM
ovasileva updated the task description. (Show Details)
ovasileva updated the task description. (Show Details)
ovasileva set the point value for this task to 2.

Change 383170 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Enable new print styles on Vector

https://gerrit.wikimedia.org/r/383170

Change 383170 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable new print styles on Vector

https://gerrit.wikimedia.org/r/383170

Mentioned in SAL (#wikimedia-operations) [2017-10-09T19:22:17Z] <hashar@tin> Synchronized wmf-config/CommonSettings.php: REVERT: Enable new print styles on Vector - T169732 (duration: 00m 49s)

Change 383179 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Check config variables are set before applying

https://gerrit.wikimedia.org/r/383179

Change 383180 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Enable new print styles on Vector

https://gerrit.wikimedia.org/r/383180

Change 383180 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable new print styles on Vector in test wiki

https://gerrit.wikimedia.org/r/383180

Mentioned in SAL (#wikimedia-operations) [2017-10-09T19:48:04Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Enable new print styles on Vector in test wiki - T169732 (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2017-10-09T19:53:11Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Enable new print styles on Vector in test wiki - T169732 (duration: 00m 47s)

ovasileva updated the task description. (Show Details)Oct 10 2017, 10:02 AM
Jdlrobson updated the task description. (Show Details)Oct 10 2017, 5:49 PM
Jdlrobson updated the task description. (Show Details)Oct 10 2017, 11:39 PM

Change 383491 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Enable Vector print logo and print styles on all wikis

https://gerrit.wikimedia.org/r/383491

Swat scheduled for tomorrow

Change 383491 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Vector print logo and print styles on all wikis

https://gerrit.wikimedia.org/r/383491

Mentioned in SAL (#wikimedia-operations) [2017-10-11T23:50:49Z] <thcipriani@tin> Synchronized wmf-config/CommonSettings.php: SWAT: [[gerrit:383491|Enable Vector print logo and print styles on all wikis]] T169732 PART I (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2017-10-11T23:52:00Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:383491|Enable Vector print logo and print styles on all wikis]] T169732 PART II (duration: 00m 50s)

Jdlrobson updated the task description. (Show Details)Oct 12 2017, 12:02 AM
Jdlrobson updated the task description. (Show Details)

I have created T178028

Jdlrobson updated the task description. (Show Details)
ovasileva closed this task as Resolved.Oct 12 2017, 11:35 AM
ovasileva claimed this task.

Verified on enwiki, eswiki, thwiki - all done!

Change 383179 merged by jenkins-bot:
[operations/mediawiki-config@master] Check config variables are set before applying

https://gerrit.wikimedia.org/r/383179